import { __decorate } from "tslib";
import { css, customElement, FASTElement, observable } from '@microsoft/fast-element';
import { inject } from '@microsoft/fast-foundation';
import { SettingsService } from '../../services';
import { mixinScreen } from '../../styles';
import { template } from './notifications.template';
const styles = css `
  :host {
    ${mixinScreen('flex')}
    align-items: flex-start;
    justify-content: flex-start;
  }

  .container {
    display: flex;
    flex-direction: column;
    padding: 32px;
  }

  fast-switch {
    margin-bottom: 20px;
  }
`;
let Notifications = class Notifications extends FASTElement {
    constructor() {
        super(...arguments);
        this.notifyEmailAddress = '';
    }
};
__decorate([
    inject(SettingsService)
], Notifications.prototype, "settingsService", void 0);
__decorate([
    observable
], Notifications.prototype, "notifyEmailAddress", void 0);
Notifications = __decorate([
    customElement({
        name: 'foundation-settings-notifications',
        template,
        styles,
    })
], Notifications);
export { Notifications };
